# This file created by conda-build 3.12.1
# meta.yaml template originally from:
# C:\ci\containers\0000145nm5i\tmp\build\80754af9\rsync-recipes\openssl-1.0.2p-c_compiler_vs2008-on-winbuilder, last modified Tue Aug 14 08:28:53 2018
# ------------------------------------------------

package:
    name: openssl
    version: 1.0.2p
source:
    fn: openssl-1.0.2p.tar.gz
    patches:
        - 0001-win32-Fix-yasm-compatibility.patch
    sha256: 50a98e07b1a89eb8f6a99477f262df71c6fa7bef77df4dc83025a2845c827d00
    url: http://www.openssl.org/source/openssl-1.0.2p.tar.gz
build:
    number: '0'
    run_exports:
        - openssl >=1.0.2p,<1.0.3a
    string: h0c8e037_0
requirements:
    build:
        - perl 5.26.2.1 h0c8e037_0
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
    host:
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
    run:
        - ca-certificates
        - vc 9.*
test:
    commands:
        - copy NUL checksum.txt
        - openssl sha256 checksum.txt
about:
    dev_url: https://github.com/openssl/openssl
    doc_url: https://www.openssl.org/docs/man1.0.2/
    home: http://www.openssl.org/
    license: OpenSSL
    license_family: Apache
    license_file: LICENSE
    summary: OpenSSL is an open-source implementation of the SSL and TLS protocols
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - msarahan
        - ocefpaf
        - pelson
